%RHS
% Construction of right side b

% Functions called: fL, exact_solution
% Gives computing time on screen
tic
bb = q(X,Y,D).*DX.*DY;		% Generation of right-hand side
	% Modification of rhs due to boundary conditions
	% x = 0: outflow: homogeneous or inhomogeneous Neumann, depending on 
	% 	 parameter hom
k = 1:K;
bb(k,1) = bb(k,1) + DY(k,1).*(Da - 0.5*dx).*fL(Y(k,1),D,hom);
	% x = 1: Dirichlet
bb(k,J) = bb(k,J) + DY(k,J).*(1 + 2*Da/dx).*exact_solution(1,Y(k,J),D);
	% y = 1: homogeneous Neumann, y = 0: Dirichlet
j = 1:J;
bb(1,j) = bb(1,j) + 2*dx*D*exact_solution(X(1,j),0,D)./DY(1,j);
bb = reshape(bb',J*K,1);

time = toc;	disp(['rhs time = ',num2str(time)])
