%STREAMLINEPLOT
% Screen plot of streamlines

figure(3), clf
title('Streamlines','FontSize',18)
hold on
uq = reshape(u1,size(XU')); uq = uq';
vq = reshape(v1,size(XV')); vq = vq';
sf = zeros(size(X));		% Streamfunction
sf(1,:) = [0, - cumsum(DXV(1,:).*vq(1,:))];
for k = 2:K+1
  sf(k,:) = sf(k-1,:) + uq(k-1,:).*DYU(k-1,:);
end
if geval == 4
  % Values from Ghia et al. 1982:
  cvals = [-1e-10  -1e-7  -1e-5  -1e-4  -0.01  -0.03  -0.05  -0.07  -0.09...
    -0.1  -0.11  -0.115  -0.1175  1e-8  1e-7  1e-6  1e-5  5e-5  1e-4  2.5e-4...
    5e-4  1e-3 1.5e-3  3e-3];
%  cvals = [linspace(min(min(sf)),max(max(sf)),35)];
  disp(['Minimum of streamfunction = 'num2str(min(min(sf)))])
else
  cvals = [linspace(min(min(sf)),max(max(sf)),40),0,0.995*max(max(sf))];
end
contour(xu,yv,sf,cvals,'k')
uq = (uq(:,1:J) + uq(:,2:J+1))/2;
vq = (vq(1:K,:) + vq(2:K+1,:))/2;
h = findobj; set(h(3),'FontSize',18)
box on
%quiver(xv,yu,uq,vq,0.9,'k')
hold off
