function ye = vbd(t, j, k, side)
%VBD	Prescribes v at inflow boundaries
% Possible values for side: 'lower', 'upper',  'left', 'right'

global geval v0 J K alpha xu yu xv yv xseglen

ye = 0;
if geval == 1|geval == 7|geval == 8|geval == 9	% Horizontal flow 
  ye = 0;
elseif geval == 2	% Vertical Poiseuille flow
  if strcmp(side, 'lower') == 1
    ye = v0(j+K*J);	% Inflow profile = outflow profile
  else
    ye = 0;
  end
elseif geval == 3	% Backward facing step
  ye = 0;
elseif geval == 4	% Driven cavity
  ye = 0;
elseif geval == 5|geval == 6	% Uniform flow under angle alpha
  if strcmp(side, 'lower') == 1|strcmp(side, 'left') == 1
    ye = sin(alpha); 
  else
    ye = 0;
  end
elseif geval == 10	% Vertical backward facing step 
  if strcmp(side, 'lower') == 1
    ye = 6*(xv(j) - xseglen(1)).*(xu(1) - xv(j))/xseglen(1)^3;
  elseif strcmp(side, 'upper') == 1
    ye = 6*(xv(j) - xu(end)).*(xu(1) -xv(j))/(xu(end) - xu(1))^3;
  end 
else
  error('Wrong value in input for parameter geval')  	
end

