%WP
% Plot of ICCG time versus number of unknowns for Poisson equation.

% Theory in Chapter 6 of
%	Elements of Computational Fluid Dynamics
%	Lecture Notes by P. Wesseling
%	Department of Applied Mathematical Analysis, ITS, TU Delft
% See http://ta.twi.tudelft.nl/nw/users/wesseling/

% This program generates Fig. ?? in the Lecture Notes.

startup, format compact, clear all

% x = matrix dimension, y = ICCG time, z = A\b time
% Two-dimensional statistics, obtained with code po:
xz = [100      400    900    2500  6400  14400 25600 40000];
z =  [0.009864 0.0188 0.0387 0.121 0.419 1.306 3.15  6.29];
xy = [100     400   900   2500  6400  14400 25600 40000];
y =  [0.0529  0.103 0.150 0.559 2.330 8.83    21.67 46.5];
% Three-dimensional statistics, obtained with code po:
xz = [512    8000  15625 27000];
z =  [0.0403 12.5  80.6  276];
xy = [512    8000  15625 27000 42875 64000 91125 125000 216000 274625];
y =  [0.07   1.095 2.94  6.066 11.96 20.76 33.31 51.54  111.2  153.9];
loglog(xy,y,'-',xy,4e-6*xy.^1.25,':',xz,z,'--')
set(gca,'Fontsize',20)
xlabel('N','Fontsize',20)
ylabel('t','Fontsize',20)
